# Get project-level drift automation status for a provisioner

Returns whether drift automation is currently enabled at the project level for the given provisioner, along with its pipeline_id and schedule.

Endpoint: GET /iacm/api/orgs/{org}/projects/{project}/settings/drift-config
Version: 1.0
Security: x-api-key

## Query parameters:

  - `provisioner` (string, required)
    Provisioner type to query drift status for
    Enum: "terraform", "opentofu", "terragrunt", "awscdk"

## Path parameters:

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "us"

  - `project` (string, required)
    Project is the project identifier.
    Example: "1"

## Header parameters:

  - `Harness-Account` (string, required)
    Account is the internal customer account ID.
    Example: "8"

## Response 200 fields (application/json):

  - `enabled` (boolean, required)
    Whether project-level drift automation is currently enabled for this provisioner

  - `pipeline_id` (string)
    Pipeline configured to run for drift detection
    Example: "Velit molestiae praesentium error voluptates quo."

  - `provisioner` (string, required)
    Provisioner this configuration applies to
    Example: "Deleniti sunt tempore veniam voluptatem."

  - `run_every` (integer)
    Repeat interval; set when drift is enabled
    Example: 6097466211791634000

  - `run_every_unit` (string)
    hours or days
    Enum: "seconds", "minutes", "hours", "days"

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?
    Example: true

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?
    Example: true

  - `timeout` (boolean, required)
    Is the error a timeout?
    Example: true


